<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier;

class ConfigurationKey
{
    const POLKURIER_AUTH_API_ACCOUNT = 'POLKURIER_AUTH_API_ACCOUNT';
    const POLKURIER_AUTH_API_TOKEN = 'POLKURIER_AUTH_API_TOKEN';
    const POLKURIER_DEFAULT_COURIER = 'POLKURIER_DEFAULT_COURIER';
    const POLKURIER_DEFAULT_PICKUP_TYPE = 'POLKURIER_DEFAULT_PICKUP_TYPE';
    const POLKURIER_TEMPLATE_PARCEL_ID = 'POLKURIER_TEMPLATE_PARCEL_ID';
    const POLKURIER_DEFAULT_SENDER_ID = 'POLKURIER_DEFAULT_SENDER_ID';
    const POLKURIER_DEFAULT_BANK_ID = 'POLKURIER_DEFAULT_BANK_ID';
    const POLKURIER_SET_ORDER_NEW_SHIPMENT = 'POLKURIER_SET_ORDER_NEW_SHIPMENT';
    const POLKURIER_STATUS_ORDER_NEW_SHIPMENT = 'POLKURIER_STATUS_ORDER_NEW_SHIPMENT';
    const POLKURIER_SET_ORDER_STATUS_SHIPMENT = 'POLKURIER_SET_ORDER_STATUS_SHIPMENT';
    const POLKURIER_STATUS_ORDER_STATUS_SHIPMENT = 'POLKURIER_STATUS_ORDER_STATUS_SHIPMENT';
    const POLKURIER_CRON_TOKEN = 'POLKURIER_CRON_TOKEN';
    const POLKURIER_UPDATE_STATUS_TRAKING_DATA = 'POLKURIER_UPDATE_STATUS_TRAKING_DATA';
    const POLKURIER_INTERVAL_STATUS_CRON = 'POLKURIER_INTERVAL_STATUS_CRON';
    const POLKURIER_CARRIERS_API_CODE = 'POLKURIER_CARRIERS_API_CODE';
    const POLKURIER_SENDER_POINT_INPOST_PACZKOMAT = 'POLKURIER_SENDER_POINT_INPOST_PACZKOMAT';
    const POLKURIER_SENDER_POINT_POCZTEX = 'POLKURIER_SENDER_POINT_KURIER48';
    const POLKURIER_SET_ORDER_SMS_NOTIFICATION = 'POLKURIER_SET_ORDER_SMS_NOTIFICATION';
    const POLKURIER_DEFAULT_RETURN_TIME_COD = 'POLKURIER_DEFAULT_RETURN_TIME_COD';
    const POLKURIER_SENDER_POINT_DPD = 'POLKURIER_SENDER_POINT_DPD';
    const POLKURIER_SENDER_POINT_UPS = 'POLKURIER_SENDER_POINT_UPS';

    /**
     * @var array
     */
    public static $name = [
        self::POLKURIER_AUTH_API_ACCOUNT,
        self::POLKURIER_AUTH_API_TOKEN,
        self::POLKURIER_DEFAULT_COURIER,
        self::POLKURIER_DEFAULT_PICKUP_TYPE,
        self::POLKURIER_TEMPLATE_PARCEL_ID,
        self::POLKURIER_DEFAULT_SENDER_ID,
        self::POLKURIER_DEFAULT_BANK_ID,
        self::POLKURIER_SET_ORDER_NEW_SHIPMENT,
        self::POLKURIER_STATUS_ORDER_NEW_SHIPMENT,
        self::POLKURIER_SET_ORDER_STATUS_SHIPMENT,
        self::POLKURIER_STATUS_ORDER_STATUS_SHIPMENT,
        self::POLKURIER_CRON_TOKEN,
        self::POLKURIER_UPDATE_STATUS_TRAKING_DATA,
        self::POLKURIER_INTERVAL_STATUS_CRON,
        self::POLKURIER_CARRIERS_API_CODE,
        self::POLKURIER_SENDER_POINT_INPOST_PACZKOMAT,
        self::POLKURIER_SENDER_POINT_POCZTEX,
        self::POLKURIER_SET_ORDER_SMS_NOTIFICATION,
        self::POLKURIER_DEFAULT_RETURN_TIME_COD,
        self::POLKURIER_SENDER_POINT_DPD,
        self::POLKURIER_SENDER_POINT_UPS
    ];
}