<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Model\Shipment\NewShipment\Module\DeliveryAddress\InpostMachines\PrestaModPl;

use Db;

class PmInpostPaczkomaty
{
    /**
     * @param $id_order
     * @return string|null
     */
    public static function getMachinesId($id_order)
    {
        try {
            $collectionpoint = Db::getInstance()->getRow('SELECT * FROM ' . _DB_PREFIX_ . 'pminpostpaczkomatylist WHERE id_cart = ' . (int)$id_cart .';');
            if (!is_null($collectionpoint) && isset($collectionpoint['machine']) && !empty($collectionpoint['machine'])) {
                return $collectionpoint['machine'];
            }
        } catch (PrestaShopDatabaseException $e) {
        }
        return null;
    }
}