<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\ParcelOrder;

use Polkurier\Model\SqlAbstract;
use Polkurier\ShipmentModel;
use Db;

class ParcelOrderSql extends SqlAbstract
{
    /**
     * @param array $data
     * @return int|string
     */
    public static function insertParcelOrder($data = [])
    {
        Db::getInstance()->insert(parent::OrderParcel(), $data, false, false, Db::INSERT, false);
        return Db::getInstance()->Insert_ID();
    }
    
    /**
     * @param int $id
     * @return array|false|\mysqli_result|\PDOStatement|resource|null
     */
    public static function getParcelOrderByOrderId($id)
    {
        $sql = 'SELECT * FROM ' . self::OrderParcel() . ' WHERE `order_id` = ' . (int) $id . ';';
        return Db::getInstance()->executeS($sql, true);
    }
}