<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Receiver;

use pSQL;

class ReceiverModel extends SqlReceiver
{
    /**
     * @param array $data
     * @return int|string
     */
    public static function Insert($data = [])
    {
        return parent::insertReceiver([
            'order_id' => pSQL($data['order_id']),
            'company' => pSQL($data['company']),
            'first_name' => pSQL($data['first_name']),
            'last_name' => pSQL($data['last_name']),
            'street' => pSQL($data['street']),
            'house_no' => pSQL($data['house_no']),
            'flat_no' => pSQL($data['flat_no']),
            'postcode' => pSQL($data['postcode']),
            'city' => pSQL($data['city']),
            'country_id' => pSQL($data['country_id']),
            'email' => pSQL($data['email']),
            'phone' => pSQL($data['phone']),
            'machine_name' => pSQL($data['machine_name']),
        ]);
    }
}