<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Receiver;

use Polkurier\Model\SqlAbstract;
use Db;

class SqlReceiver extends SqlAbstract
{
    /**
     * @param array $data
     * @return int|string
     */
    public static function insertReceiver($data = [])
    {
        Db::getInstance()->insert(parent::Receiver(), $data, false, false, Db::INSERT, false);
        return Db::getInstance()->Insert_ID();
    }
    
    /**
     * @param int $id
     * @return array
     */
    public static function getReceiverOrderByOrderId($id)
    {
        try {
            return Db::getInstance()->getRow('SELECT * FROM ' . parent::Receiver() . ' WHERE order_id = ' . (int)$id .';');
        } catch (PrestaShopDatabaseException $e) {
            return [];
        }
    }
}