<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Model\Shipment\NewShipment\Module\DeliveryAddress\InpostMachines\Furgonetka;

use Db;

class FurgonetkaPaczkomaty
{
    /**
     * @param $id_cart
     * @return string|null
     */
    public static function getIdMachines($id_cart)
    {
        try {
            $collectionpoint = Db::getInstance()->getRow('SELECT * FROM furgonetka_cart_delivery_machine WHERE id_cart = ' . (int)$id_cart . ';');
            if (!is_null($collectionpoint) && isset($collectionpoint['machine_code'])) {
                return $collectionpoint['machine_code'];
            }
        } catch (PrestaShopDatabaseException $e) {
        }
        return null;
    }
}