<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\Order;

use Order;
use OrderHistory;

class UpdatePrestaOrderStatus
{
    /**
     * @param int $idorder
     * @param $status
     */
    public static function Update($idorder, $status)
    {
        $objorder = new Order($idorder);
        $history = new OrderHistory();
        $history->id_order = (int)$objorder->id;
        $history->changeIdOrderState($status, (int)$objorder->id);
        $history->save();
    }
}