<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

if (!defined('_PS_VERSION_')){
    exit();
}

use Polkurier\CollectionPoint\CollectionPoint;

class polkurierCollectionPointModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        parent::__construct();
        $this->display_column_left = false;
        $this->context = Context::getContext();
    }

    public function initContent()
    {
        $test = false;
        if(Tools::getValue('token') === Tools::encrypt((int)Tools::getValue('id_cart'))){
            CollectionPoint::setCollectionPoint(Tools::getAllValues());
            $test = true;
        }
        ob_end_clean();
        header('Content-Type: application/json');
        die(json_encode($test));
    }
}